Skip to main content
GET
/
workspaces
/
{workspace_id}
/
workflows
/
{workflow_id}
/
webhook
Error
A valid request URL is required to generate request examples
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "secret": "<string>",
  "workflow_id": "<string>",
  "url": "<string>",
  "entrypoint_ref": "<string>",
  "allowlisted_cidrs": [
    "<string>"
  ],
  "filters": {},
  "methods": [],
  "include_headers": false,
  "api_key": {
    "preview": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "last_used_at": "2023-11-07T05:31:56Z",
    "revoked_at": "2023-11-07T05:31:56Z",
    "is_active": false
  }
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Authorizations

fastapiusersauth
string
cookie
required

Path Parameters

workspace_id
string<uuid>
required
workflow_id
required
Pattern: wf_[0-9a-zA-Z]+

Response

Successful Response

id
string<uuid>
required
secret
string
required
status
enum<string>
required
Available options:
online,
offline
workflow_id
string
required
url
string
required
entrypoint_ref
string | null
allowlisted_cidrs
string[]
filters
Filters · object
methods
enum<string>[]

Methods to allow

Available options:
GET,
POST
include_headers
boolean
default:false
api_key
WebhookApiKeyRead · object | null